# LAMA (Lightweight Analysis of Morphological Abnormalities) #

Welcome to LAMA, an open source pipeline to automatically identify embryo dysmorphology from 3D volumetric images. 

It was originally developed for use with whole-embryo ct scans of knockout mice coming from the 
International Mice Phenotyping Consortium (http://www.mousephenotype.org), but has been shown to work with other data 
types such as HREM.


## Getting Started

See the lama [wiki](https://github.com/mpi2/LAMA/wiki)
And the [interactive walkthroughs](https://github.com/mpi2/LAMA/wiki/walkthroughs)

## Built With
* [Python3]('https://www.python.org/)
* [elastix](http://elastix.isi.uu.nl/) - For image registration
* [R](https://www.r-project.org/) - Statistics
* [Scipy](https://www.scipy.org/) - Image analysis
* [SimeITK](http://www.simpleitk.org/) - Image IO and analysis


## Authors ##
This software was developed by Neil Horner in the Bioimage Informatics Group at MRC Harwell UK (https://www.har.mrc.ac.uk) 
under the supervision of Henrik Westerberg.
 
If you have any questions or comments, please contact us at bit@har.mrc.ac.uk


## License
This project is licensed under the [Apache License, Version 2.0](https://www.apache.org/licenses/LICENSE-2.0) - 
see the [LICENSE.md](/../LICENSE.md) file for details



